Bug Tracker – Bug 1216

Non-QWERTY Keyboard Have Issues with SDL2

Last modified: 2019-01-18 20:11:53 CST
Bug 1216 - Non-QWERTY Keyboard Have Issues with SDL2
Summary: Non-QWERTY Keyboard Have Issues with SDL2
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.7.x (Old)
Hardware: All All
: P1 blocker
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 1231
  Show dependency tree
 
Reported: 2016-12-28 18:31 CST by HeX_Vulture
Modified: 2019-01-18 20:11 CST (History)
3 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description HeX_Vulture 2016-12-28 18:31:29 CST
From Ch0ww's bug report on git:

I do not know if Odamex will automatically translate all key buttons and reassign them, but when using a keyboard other than QWERTY, all buttons other than a-z and CTRL/SHIFT/CAPS/TAB won't be properly translated.

One possible and easy solution: adapt the keyboard layouts while bringing on the console or chatting, but translate every key ingame/bindings to your locale layout.
Comment 1 HeX_Vulture 2016-12-31 09:27:58 CST
<capodecima>but is it really so hard find where is error?
because r5121 is ok
then revision above 5200 is the keyboard problem
so something changed there and its broken now?
<Ch0wW>Since they modified the handling, yep...
<capodecima>it was broken already on sdl1 btw
<Ch0wW>Sdl2 has native outputs, unlike sdl1
<capodecima>its not sdl2 bug
it was same bug
same behavior

More information
Comment 2 HeX_Vulture 2016-12-31 09:35:50 CST
Please disregard comment 1
Comment 3 Maëllig Desmottes 2019-01-16 17:32:30 CST
This has been tested, and it looks everything is working perfectly fine.
Comment 4 HeX_Vulture 2019-01-18 20:11:53 CST
With that, bug closed (: